/**
Excel-Spalten Zuordnungstabelle:
  A |  B |  C |  D |  E |  F |  G |  H |  I |  J |  K |  L |  M |  N |  O |  P |  Q |  R |  S |  T |  U |  V |  W |  X |  Y |  Z |
  0 |  1 |  2 |  3 |  4 |  5 |  6 |  7 |  8 |  9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | 25 |
  
 AA | AB | AC | AD | AE | AF | AG | AH | AI | AJ | AK | AL | AM | AN | AO | AP | AQ | AR | AS | AT | AU | AV | AW | AX | AY | AZ |
 26 | 27 | 28 | 29 | 30 | 31 | 32 | 33 | 34 | 35 | 36 | 37 | 38 | 39 | 40 | 41 | 42 | 43 | 44 | 45 | 46 | 47 | 48 | 49 | 50 | 51 |
 
 BA | BB | BC | BD | BE | BF | BG | BH | BI | BJ | BK | BL | BM | BN | BO | BP | BQ | BR | BS | BT | BU | BV | BW | BX | BY | BZ |
 52 | 53 | 54 | 55 | 56 | 57 | 58 | 59 | 60 | 61 | 62 | 63 | 64 | 65 | 66 | 67 | 68 | 69 | 70 | 71 | 72 | 73 | 74 | 75 | 76 | 77 |

var config = {
	diagrams: [
		// 1
		{
			title: "Bruttoinlandsprodukt in den EU-Staaten seit Vollendung des EU-Binnenmarktes (1993-2016)",
			column_xAxis: 0, // Spalten-Nr. A
			label_xAxis: "Jahr",
			label_yAxis: "US-Dollar in Billionen",
			unitScaleFactor: 1/1000000000000,			// [optional] default: 1, Skalierungfaktor für die Y-Werte, auch als Divisor verwendbar (z.B. für dia Angabe in Tausend 1/1000)
			yAxis_numberOfDigitsAfterDecimalPoint: 2,	// [optional] default: 0, Anzahl der Dezimalstellen
			ml_htmlLegend_numberOfColumns: 2,			// [optional] default: 1, HTMLLegende kann mehrspaltig angezeigt werden
			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':2, 'md':3, 'lg':4},			// [optional], HTMLLegende mehrspaltig (RWD) abhängig von viewport-Größe
			rangeSlider_hidden: true,					// [optional] default: false, Range-Slider zeigen/verstecken
			ml_tooltip_legendTitlePosition: 'none',		// [optional] default: 'none', Position des Legenden-Titels im Tooltip. Werte: 'none', 'head', 'body'
			ml_tooltip_legendTitleSuffix: ': ',			// [optional] default: '<br>', Markup oder Text, der hinter den Legenden-Titel angefügt wird
			ml_tooltip_valueSuffix: '&nbsp;%',			// [optional] default: '', Markup oder Text, der hinter den y-Wert angefügt wird
			ml_tooltip_mode: 'index',					// [optional] default: 'nearest', Die Art wie Werte im Tooltip angezeigt werden. 'index': alle y-Werte aller sichtbaren datasets
														// siehe http://www.chartjs.org/docs/latest/general/interactions/modes.html
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.5, 'sm':0.5, 'md':0.33, 'lg':0.33},	// [optional], Skalierungsfaktor für die Tooltip-Breite in Bezug auf den Chart-Container (panel)
			ml_yAxis_dynamicScaling: false,				// [optional] default: false, Y-Achsen-Skala wird dynamisch verändert, je nach Werten
			ml_yAxis_maxValue: undefined,				// [optional] default: undefined, @type:number, Y-Achse: Maximal-Wert
			ml_xAxis_autoSkip: true,					// [optional] default: true, X-Achsen-Skala wird dynamisch verändert bzw. werden Werte ausgelassen, je nachdem wieviel Platz zur Verfügung steht (@since 1.4.0)
			charts: [
				{
					// Belgien
					type: "line", // Werte: "line" || "bar"
					column_yValues: 1, // Spalten-Nr. B
					hidden: false
				},
				{
					// Deutschland
					type: "line", // Werte: "line" || "bar"
					column_yValues: 2, // Spalten-Nr. C
					hidden: true
				}
			]
		}
	],
	colors: [														// es müssen mindestenst so viele Farbwerte angegeben werden, wie die max. Anzahl charts, die in einem Diagramm dargestellt werden sollen
		{
			backgroundColor:	'#feff41', 
			borderColor:		'#feff41'
		},
		{
			backgroundColor:	'#fed22b', 
			borderColor:		'#fed22b'
		},
		{
			backgroundColor:	'#fea817', 
			borderColor:		'#fea817'
		}
	],
	watchmode: 'single'												// [optional] Werte: 'compare' (default) || 'single'
	watchmode_resetOnToggle: false,									// [optional] Werte: true (default) || false, setzt alle SelectionMenues zurück, wenn zwischen den Anzeige-Modi ("single" und "compare") umgeschaltet wird
	watchmode_openFirstAvailableChartOnCompareMode: true,			// [optional] Werte: true || false (default), öffnet bei Wahl des Vergleichsmodus automatisch die nächste zur Verfügung stehende Chart im 2. Select-Menü (watchmode_resetOnToggle muss false sein!)
	ml_pointRadius_rwd: {'xs':2, 'sm':3, 'md':4, 'lg':5},			// [optional] Punktradius bei Linien-Diagrammen (RWD)
	ml_label_fontStyle: 'normal',									// [optional] default: 'normal', @type:string, Schrift-Stil der Achsen-Beschriftung. Werte: 'normal', 'bold', 'italic', 'oblique'
	ml_label_fontSize: undefined									// [optional] default: undefined, @type:number, Schriftgröße der Achsen-Beschriftung
};
*/

var config = {
	diagrams: [
		// 1
		{
			title: "Bruttostundenverdienst (produzierendes Gewerbe und Dienstleistungsbereich)",
			column_xAxis: 0, // Spalten-Nr. A
			label_xAxis: "Quartal/Jahr",
			label_yAxis: "Bruttostundenverdienst in Euro (Durchschnitt)",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 2,
			//ml_htmlLegend_numberOfColumns: 2,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':1, 'md':2, 'lg':2},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;€',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: true,
			//ml_xAxis_autoSkip: false, // keine automatische Anpassung!
			charts: [
				{
					// Männer (€)
					type: "line", // Werte: "line" || "bar"
					column_yValues: 1, // Spalten-Nr. B
					hidden: true
				},
				{
					// Frauen (€)
					type: "line", // Werte: "line" || "bar"
					column_yValues: 2, // Spalten-Nr. C
					hidden: true
				}
			]
		},
		// 2
		{
			title: "Bruttostundenverdienst (nach Gewerben)",
			column_xAxis: 3, // Spalten-Nr. D
			label_xAxis: "Gewerbe",
			label_yAxis: "Durchschnittl. Bruttoverdienst (€/Std.)",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 2,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':1, 'md':2, 'lg':2},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;€',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.55, 'lg':0.55},
			ml_yAxis_dynamicScaling: true,
			ml_xAxis_autoSkip: false, // keine automatische Anpassung!
			charts: [
				{
					// Männer (€)
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 5, // Spalten-Nr. F
					hidden: true,
					column_tooltips: 4 // Spalten-Nr. E Tooltips
				},
				{
					// Frauen (€)
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 6, // Spalten-Nr. G
					hidden: true,
					column_tooltips: 4 // Spalten-Nr. E Tooltips
				}
			]
		},
		// 3
		{
			title: "Gender Pay Gap (Deutschland)",
			column_xAxis: 7, // Spalten-Nr. H
			label_xAxis: "Jahr",
			label_yAxis: "Gender Pay Gap in %",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 0,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':1, 'md':2, 'lg':2},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;%',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: false,
			ml_yAxis_maxValue: 30,
			//ml_xAxis_autoSkip: false, // keine automatische Anpassung!
			charts: [
				{
					// Bereinigter Gender Pay Gap (%)
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 8, // Spalten-Nr. I
					hidden: true
				},
				{
					// Unbereinigter Gender Pay Gap (%)
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 12, // Spalten-Nr. M
					hidden: true
				}
			]
		},
		// 4
//		{
//			title: "Gender Pay Gap (Deutschland, bereinigt)",
//			column_xAxis: 11, // Spalten-Nr. L
//			label_xAxis: "Jahr",
//			label_yAxis: "Bereinigter Gender Pay Gap in %",
//			unitScaleFactor: 1, // default: 1
//			yAxis_numberOfDigitsAfterDecimalPoint: 0,
//			//ml_htmlLegend_numberOfColumns: 3,
//			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':1, 'md':2, 'lg':2},
//			ml_tooltip_legendTitlePosition: 'body',
//			ml_tooltip_legendTitleSuffix: ': ',
//			ml_tooltip_valueSuffix: '&nbsp;%',
//			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
//			ml_yAxis_dynamicScaling: true,
//			//ml_xAxis_autoSkip: false, // keine automatische Anpassung!
//			charts: [
//				{
//					// Deutschland (%)
//					type: "bar", // Werte: "line" || "bar"
//					column_yValues: 12, // Spalten-Nr. M
//					hidden: true
//				},
//				{
//					// Früheres Bundesgebiet (%)
//					type: "bar", // Werte: "line" || "bar"
//					column_yValues: 13, // Spalten-Nr. N
//					hidden: true
//				},
//				{
//					// Neue Bundesländer (%)
//					type: "bar", // Werte: "line" || "bar"
//					column_yValues: 14, // Spalten-Nr. O
//					hidden: true
//				}
//			]
//		},
		// 5
		{
			title: "Gender Pay Gap (Bundesländer)",
			column_xAxis: 15, // Spalten-Nr. P
			label_xAxis: "Land",
			label_yAxis: "Gender Pay Gap in %",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 1,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':1, 'md':2, 'lg':2},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;%',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: false,
			ml_xAxis_autoSkip: false, // keine automatische Anpassung!
			charts: [
				{
					// Bereinigter Gender Pay Gap in %
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 16, // Spalten-Nr. Q
					hidden: true
				},
				{
					// Unbereinigter Gender Pay Gap in %
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 17, // Spalten-Nr. R
					hidden: true
				}
			]
		},
		// 6
		{
			title: "Gender Pay Gap (EU, unbereinigt)",
			column_xAxis: 18, // Spalten-Nr. S
			label_xAxis: "Land",
			label_yAxis: "Unbereinigter Gender Pay Gap in %",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 1,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':1, 'md':2, 'lg':2},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;%',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: false,
			ml_xAxis_autoSkip: false, // keine automatische Anpassung!
			charts: [
				{
					// Unbereinigter Gender Pay Gap in %
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 19, // Spalten-Nr. T
					hidden: false
				}
			]
		}
	],
	colors: [
		{
			backgroundColor:	'#00b1eb', 
			borderColor:		'#00b1eb'
		},
		{
			backgroundColor:	'#e6501e', 
			borderColor:		'#e6501e'
		},
		{
			backgroundColor:	'#008c96', 
			borderColor:		'#008c96'
		}
	],
	watchmode: 'single', // Werte: 'single' || 'compare'
	watchmode_resetOnToggle: false, // Werte: true (default) || false
	watchmode_openFirstAvailableChartOnCompareMode: false, // Werte: true || false (default); watchmode_resetOnToggle muss false sein!
	watchmode_resetAlwaysOnSingleMode: true, // default: true
	ml_pointRadius_rwd: {'xs':2, 'sm':3, 'md':4, 'lg':5},
	ml_label_fontStyle: 'bold' // [optional] default: 'normal', @type:string, Schrift-Stil der Achsen-Beschriftung. Werte: 'normal', 'bold', 'italic', 'oblique'
};